### Method

# Gimp Drawable posterize

#### Declaration [src]

    gboolean
    gimp_drawable_posterize (
      GimpDrawable* drawable,
      gint levels
    )

#### Description [src]

Posterize the specified drawable.

This procedures reduces the number of shades allows in each intensity channel to the specified ‘levels’ parameter.

Available since: | 2.10

#### Parameters

`levels` | `gint`
| Levels of posterization.

#### Return value

Returns: | `gboolean`
| TRUE on success.